Summary:	Library implementing the AcoustID fingerprinting
Summary(pl.UTF-8):	Biblioteka implementująca odciski AcoustID
Name:		chromaprint
Version:	0.7
Release:	4
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://github.com/downloads/lalinsky/chromaprint/%{name}-%{version}.tar.gz
# Source0-md5:	3005fc2c69b9ef4a5c6787ef9355a855
Patch0:		%{name}-ffmpeg.patch
Patch1:		%{name}-ffmpeg2.0.patch
URL:		http://www.acoustid.org/chromaprint/
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.6
BuildRequires:	ffmpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	taglib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chromaprint library is the core component of the AcoustID project.
It's a client-side library that implements a custom algorithm for
extracting fingerprints from raw audio sources.

The library exposes a simple C API and the Python language binding is
also available. The documentation for the C API can be found in the
main header file.

%description -l pl.UTF-8
Biblioteka Chromaprint to główny element projektu AcoustID. Jest to
biblioteka kliencka implementująca własny algorytm wydobywania
odcisków identyfikacyjnych z surowych strumieni dźwiękowych.

Biblioteka udostępnia proste API C. Dostępne są także wiązania dla
Pythona. Dokumentację dla API C można znaleźć w głównym pliku
nagłówkowym.

%package -n libchromaprint
Summary:	Library implementing the AcoustID fingerprinting
Summary(pl.UTF-8):	Biblioteka implementująca odciski AcoustID
Group:		Libraries

%description -n libchromaprint
Chromaprint library is the core component of the AcoustID project.
It's a client-side library that implements a custom algorithm for
extracting fingerprints from raw audio sources.

The library exposes a simple C API and the Python language binding
is also available. The documentation for the C API can be found in the
main header file.

%description -n libchromaprint -l pl.UTF-8
Biblioteka Chromaprint to główny element projektu AcoustID. Jest to
biblioteka kliencka implementująca własny algorytm wydobywania
odcisków identyfikacyjnych z surowych strumieni dźwiękowych.

Biblioteka udostępnia proste API C. Dostępne są także wiązania dla
Pythona. Dokumentację dla API C można znaleźć w głównym pliku
nagłówkowym.

%package -n libchromaprint-devel
Summary:	Headers for developing programs that will use libchromaprint
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów wykorzystujących libchromaprint
Group:		Development/Libraries
Requires:	libchromaprint = %{version}-%{release}

%description -n libchromaprint-devel
This package contains the headers that programmers will need to
develop applications which will use libchromaprint.

%description -n libchromaprint-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne programistom do
tworzenia aplikacji wykorzystujących bibliotekę libchromaprint.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake . \
	-DBUILD_TOOLS=ON \
	-DWITH_AVFFT=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# omitted by make install
install -D tools/fpcollect $RPM_BUILD_ROOT%{_bindir}/fpcollect

%clean
rm  -rf $RPM_BUILD_ROOT

%post	-n libchromaprint -p /sbin/ldconfig
%postun	-n libchromaprint -p /sbin/ldconfig

%files -n libchromaprint
%defattr(644,root,root,755)
%doc CHANGES.txt NEWS.txt README.txt
%attr(755,root,root) %{_bindir}/fpcollect
%attr(755,root,root) %{_libdir}/libchromaprint.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchromaprint.so.0

%files -n libchromaprint-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libchromaprint.so
%{_includedir}/chromaprint.h
%{_pkgconfigdir}/libchromaprint.pc
%changelog
* Thu Aug 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/chromaprint.git;a=log;h=master

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 44d97bc
- release 4 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> d8aa2c1
- more ffmpeg2 fixes

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 0492623
- fix build with ffmpeg 2

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 65270d7
- release 3 (by relup.sh)

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 51ca110
- rel 2

* Wed Oct 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 93381a8
- updated to 0.7
- added ffmpeg patch (ffmpeg API update for all obsolete and most of deprecated calls as of ffmpeg 1.0)
- ffmpeg is preferred over fftw for FFT transform (slightly faster, does not necessarily enforce GPL),
  is already used by fpcollect tool
- python binding has been moved to separate package
- pl

* Fri Dec 23 2011 Elan Ruusamäe <glen@pld-linux.org> 042a879
- new, based on fedora spec

